Skip to main content
POST
Dex - Create Token

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth

Body

application/json

Token creation parameters

dex
enum<string>
required

DEX identifier for the trade

Available options:
raydium,
pumpfun,
moonshot,
candy,
launchpad
Example:

"raydium"

userAddress
string
required

Public key of the wallet initiating the transaction

Required string length: 8 - 64
Example:

"oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7"

name
string
required

Name of the token to be created

Required string length: 1 - 32
Example:

"Candy Token"

symbol
string
required

Token symbol/ticker

Required string length: 1 - 10
Example:

"CANDY"

priorityFee
string

Priority fee in SOL to increase transaction processing speed

Example:

"1000"

uri
string

URI for token metadata (usually points to image or JSON)

Example:

"https://assets.candyproject.com/token/icon.png"

image
string

Token image URL (Base64 or HTTPS)

Example:

"https://assets.candyproject.com/token/icon.png"

extra
object

Additional metadata about the created token

Example:

Response

200 - application/json
serializedTx
string
required

Base64 encoded transaction for token creation

Example:

"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="

mintAddress
string
required

Token mint address that requires signature for the transaction

Example:

"So11111111111111111111111111111111111111112"